﻿using System;
using System.IO;
using System.Windows;
using System.Windows.Media.Imaging;
using System.Windows.Threading;
using Telerik.Windows.Controls;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            ExportChart();
        }

        private void InitializeChart()
        {
            int[] dataArray = new int[] { 12, 56, 23, 89, 12, 56, 34, 78, 32, 56 };
            RadChart1.DefaultView.ChartArea.EnableAnimations = false;
            RadChart1.ItemsSource = dataArray;
            RadChart1.Measure(new Size(RadChart1.Width, RadChart1.Height));
            RadChart1.Arrange(new Rect(RadChart1.DesiredSize));
        }

        private void ExportChart()
        {
            this.InitializeChart();

            Dispatcher.BeginInvoke((Action)(() =>
            {
                using (FileStream fs = File.Create("chart.png"))
                {
                    RadChart1.ExportToImage(fs, new PngBitmapEncoder());
                }
            }), DispatcherPriority.ApplicationIdle, null);
        }
    }
}
